Skip to main content
GET
/
api
/
v1
/
tokens
List tokens
curl --request GET \
  --url https://mcp.echozero.app/api/v1/tokens
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "name": "<string>",
        "symbol": "<string>"
      }
    ],
    "pagination": {
      "total": 123,
      "limit": 123,
      "page": 123,
      "totalPages": 123,
      "hasNextPage": true,
      "hasPreviousPage": true
    },
    "topPerformers": [
      {
        "id": "<string>",
        "name": "<string>",
        "symbol": "<string>"
      }
    ]
  }
}

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Query Parameters

ids
string[]

Comma-separated MongoDB token ids

query
string

Search name or symbol

orderBy
enum<string>
Available options:
MARKET_CAP,
PRICE,
PRICE_CHANGE_24H,
VOLUME_24H,
HOLDERS,
PRICE_CHANGE_PERCENTAGE_1H,
PRICE_CHANGE_PERCENTAGE_24H,
PRICE_CHANGE_PERCENTAGE_7D,
VOLUME_1D,
NEWEST,
TOP_PERFORMERS,
TOP_GAINERS,
MOST_TRADED
order
enum<string>
Available options:
ASC,
DESC
limit
object
offset
object
vsCurrency
enum<string>
Available options:
USD
filters
object

Response

200 - application/json

Token list.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload